CREATE TABLE cjm_adj_type_reasons_b (
    ADJUSTMENT_REASON_ID      NUMBER(18, 0) ,
    REASON_CODE               VARCHAR2(120) ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    DEFAULT_FLAG              VARCHAR2(4)   ,
    ADJUSTMENT_TYPE_ID        NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    ADJUSTMENT_REASON_ID      NUMBER(18, 0) ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    DEFAULT_FLAG              VARCHAR2(4)   ,
    ADJUSTMENT_TYPE_ID        NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    REASON_CODE               VARCHAR2(120) ,
    CONSTRAINT pk_cjm_adj_type_reasons_b PRIMARY KEY (ADJUSTMENT_REASON_ID, ADJUSTMENT_REASON_ID)
);
